{ pkgs, ... }:
{
  boot.kernelModules = [ "kvm-intel" "pppoe" ];
  boot.kernelParams = [ "nomodeset" ];

  hardware.cpu.intel.updateMicrocode = true;

  time.timeZone = "Europe/Berlin";

  environment.systemPackages = with pkgs; [
    wget vim git screen
    ipmitool
  ];
  services.openssh.enable = true;
  services.openssh.permitRootLogin = "prohibit-password";

  # additional config for bare metal
  services.collectd = {
    plugins.ipmi = "";
  };
}
